cdac.medinfo.sdk.hl7282.baselibs

## Class ID

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.PrimitiveDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.ID

- All Implemented Interfaces:
    IDataType

      public class ID
      extends PrimitiveDataType

  ID - coded value for HL7 defined tables

  The class represents, The date/time by which the certification must be obtained.

  This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ID()` Constructor for ID class.
    `ID(int iMinLength, int iMaxLength, java.lang.String strCLength)` Constructor for ID class which takes three arguments and sets the value in the respective member variable.
    `ID(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo)` Constructor for ID class which takes four arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(IDataType objDataType)` The method checks for the equality with other ID DataType.
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.PrimitiveDataType

      `copy, getDataTypeName, getICLength, getIMaxLength, getIMinLength, getLength, getValue, isPrimitive, read, setICLength, setIMaxLength, setIMinLength, setValue, toString, validate, write`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ID

          public ID()

      Constructor for ID class.

    - #### ID

          public ID(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength)

      Constructor for ID class which takes three arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.

    - #### ID

          public ID(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo)

      Constructor for ID class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.

  - ### Method Detail

    - #### equals

          public boolean equals(IDataType objDataType)

      The method checks for the equality with other ID DataType.
      Parameters:
        `objDataType` - conatains object of another DataType to be checked for equality.
      Returns:
        boolean [true/false]

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.